Subject: bug#34939: Some minibuffer behaviour is annoying

From: Juri Linkov <[email-masked]>
Date: Mon, 01 Apr 2019 23:25:08 +0300

>>>  (2) When I try to quit and some buffer is unchanged, I get the usual
>>>  deal asking me what I want. The problem I have here [in addition to
>>>  the problem discussed in (1), adapted to this case: "Type C-h for
>>>  help."] is that I must use C-g, but not good old escape.
>>
>> To avoid all such problems, just bind keyboard-escape-quit globally
>> when not on a tty where an ESC prefix still might be needed:
>>
>>   (when window-system
>>     (define-key global-map [escape] 'keyboard-escape-quit))
>
>  I have no luck w/ this one, though. Emacs 26.1 build 1, Arch Linux.
>  steps: emacs -Q somefile -> Eval the code -> type something ->
>  C-x C-c -> "Save file...? ..." -> Escape -> "Type C-h for help"

Thanks for detailed test case, I misunderstood your original description,
but now it's clear.

`C-x C-c' (save-buffers-kill-terminal) is a special case that
requires a special customization:

  (define-key query-replace-map [escape] 'quit)